<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api__l2cap__definitions" kind="group">
    <compoundname>group_ble_common_api_l2cap_definitions</compoundname>
    <title>L2CAP</title>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__psm__info__t">cy_stc_ble_l2cap_cbfc_psm_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__connection__info__t">cy_stc_ble_l2cap_cbfc_connection_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__req__info__t">cy_stc_ble_l2cap_cbfc_conn_req_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__state__info__t">cy_stc_ble_l2cap_state_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__resp__info__t">cy_stc_ble_l2cap_cbfc_conn_resp_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__credit__info__t">cy_stc_ble_l2cap_cbfc_credit_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__tx__data__info__t">cy_stc_ble_l2cap_cbfc_tx_data_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__disconn__req__info__t">cy_stc_ble_l2cap_cbfc_disconn_req_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__conn__update__param__rsp__info__t">cy_stc_ble_l2cap_conn_update_param_rsp_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__queue__flow__control__info__t">cy_stc_ble_l2cap_queue_flow_control_info_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__ind__param__t">cy_stc_ble_l2cap_cbfc_conn_ind_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__conn__cnf__param__t">cy_stc_ble_l2cap_cbfc_conn_cnf_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__disconn__cnf__param__t">cy_stc_ble_l2cap_cbfc_disconn_cnf_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__param__t">cy_stc_ble_l2cap_cbfc_rx_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__low__rx__credit__param__t">cy_stc_ble_l2cap_cbfc_low_rx_credit_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__low__tx__credit__param__t">cy_stc_ble_l2cap_cbfc_low_tx_credit_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cbfc__rx__data__param__t">cy_stc_ble_l2cap_cbfc_rx_data_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__conn__update__rsp__param__t">cy_stc_ble_l2cap_conn_update_rsp_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__l2cap__cmd__rej__param__t">cy_stc_ble_l2cap_cmd_rej_param_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__common__api__l2cap__definitions_1gab71409d49dece63faec590bf92bfe84b" kind="enum" prot="public" static="no">
        <name>cy_en_ble_l2cap_command_rej_reason_t</name>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1ggab71409d49dece63faec590bf92bfe84bade6db8f8f5551fdaa92e67c2d1e39e5d" prot="public">
          <name>CY_BLE_L2CAP_COMMAND_NOT_UNDERSTOOD</name>
          <initializer>= 0x0000u</initializer>
          <briefdescription>
<para>Command Not Understood. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1ggab71409d49dece63faec590bf92bfe84ba2a895233df50b69fda5ecd342f792771" prot="public">
          <name>CY_BLE_L2CAP_SIGNALLING_MTU_EXCEEDED</name>
          <briefdescription>
<para>Signaling L2CAP MTU exceeded. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1ggab71409d49dece63faec590bf92bfe84baa01b9d606295006a7c91a86cd86d3ed0" prot="public">
          <name>CY_BLE_L2CAP_INVALID_CID_IN_REQUEST</name>
          <briefdescription>
<para>Invalid Connection Identifier in request. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_l2cap_command_rej_reason_t: </bold><linebreak />Reason for command reject event - CY_BLE_EVT_L2CAP_COMMAND_REJ.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="110" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="100" />
      </memberdef>
      <memberdef id="group__group__ble__common__api__l2cap__definitions_1ga89d43d928059fa832589a36e4d63ee7a" kind="enum" prot="public" static="no">
        <name>cy_en_ble_l2cap_result_param_t</name>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aa8cdf5336c0257fdb7638b48abdfaeff6" prot="public">
          <name>CY_BLE_L2CAP_RESULT_SUCCESS</name>
          <initializer>= 0x0000u</initializer>
          <briefdescription>
<para>Operation Successful. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aaafe18d58e688bb833149c42bdabe2dcc" prot="public">
          <name>CY_BLE_L2CAP_RESULT_COMMAND_TIMEOUT</name>
          <initializer>= 0x2318u</initializer>
          <briefdescription>
<para>Command timeout, if L2CAP signaling channel timeout occurs, app should disconnect. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aa8052df6243bde940482875dc1da57275" prot="public">
          <name>CY_BLE_L2CAP_RESULT_INCORRECT_SDU_LENGTH</name>
          <initializer>= 0x2347u</initializer>
          <briefdescription>
<para>Invalid SDU length. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aa34045479dd868613224325b5fd0dd2ea" prot="public">
          <name>CY_BLE_L2CAP_RESULT_NOT_ENOUGH_CREDITS</name>
          <initializer>= 0x2371u</initializer>
          <briefdescription>
<para>Not enough Credit to perform this operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aa146164c5e0e95c194bf3d85491aa88af" prot="public">
          <name>CY_BLE_L2CAP_RESULT_CREDIT_OVERFLOW</name>
          <initializer>= 0x2373u</initializer>
          <briefdescription>
<para>Credit overflow. </para>          </briefdescription>
          <detaileddescription>
<para>Total Credit exceeded 65535 (maximum) </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__l2cap__definitions_1gga89d43d928059fa832589a36e4d63ee7aaf434dcd995af84972e98904e40f4b977" prot="public">
          <name>CY_BLE_L2CAP_RESULT_UNACCEPTABLE_CREDIT_VALUE</name>
          <initializer>= 0x2374u</initializer>
          <briefdescription>
<para>Invalid Credit value, receive Credit is Zero. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_l2cap_result_param_t: </bold><linebreak />The result code of call back structures for L2CAP.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="133" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="114" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the L2CAP specific definitions and data structures used in the L2CAP APIs. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>